Subject: Re: [PATCH 2/2] pack-objects: rename the field "type" to "real_type"

From: Jeff King <[email-masked]>
Date: Wed, 8 Jul 2015 09:47:14 -0400

On Wed, Jul 08, 2015 at 06:56:31PM +0700, Nguyễn Thái Ngọc Duy wrote:

> This is to avoid the too generic name "type" and harmonize with the
> naming in index-pack. There's a subtle difference though: real_type in
> index-pack is what the upper level see, no delta types (after delta
> resolution). But real_type in pack-objects is the type to be written in
> the pack, delta types are fine (it's actually markers for reused deltas)

Hrm, now I'm confused about whether this change is a good idea.

The definition of in_pack_type says:

>  	enum object_type in_pack_type;	/* could be delta */

so now I am confused about what exactly "type" (and now "real_type")
means.

-Peff